// Returns the search URL for the specified search text
function tvShowSearchUrl(text)
{
    return "http://www.thetvdb.com/api/GetSeries.php?seriesname=" + 
        escape(text);
}

// Parses TV show search results
function parseTvShowSearchResults(xml)
{
    var results = new Array();    

	var series = xml.getElementsByTagName("Series");
	
	for (var i=0; i<series.length; i++) {
		var serie = series[i];
		var title = findChild(serie, "SeriesName").childNodes[0].nodeValue;
		var url = "http://dataproxy.pommepause.com/tvforecast/?what=next&source=thetvdb&show_id=" + findChild(serie, "seriesid").childNodes[0].nodeValue;
		
		results.push({
            url:   url,
            title: title
        });
	}

    var too_many_results = false;
    
    return { results: results, too_many_results: too_many_results };
}